Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/oce.F90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/oce.F90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/oce.F90	(revision 4015)
@@ -47,4 +47,6 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   gru , grv    !: horizontal gradient of rd at bottom u-point
 
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   rke          !: kinetic energy
+
    !! arrays relating to embedding ice in the ocean. These arrays need to be declared 
    !! even if no ice model is required. In the no ice model or traditional levitating 
@@ -79,4 +81,5 @@
       ALLOCATE( rhd (jpi,jpj,jpk) ,                                         &
          &      rhop(jpi,jpj,jpk) ,                                         &
+         &      rke (jpi,jpj,jpk) ,                                         &
          &      sshb  (jpi,jpj)   , sshn  (jpi,jpj) , ssha  (jpi,jpj) ,     &
          &      sshu_b(jpi,jpj)   , sshu_n(jpi,jpj) , sshu_a(jpi,jpj) ,     &
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_AMM_12km.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_AMM_12km.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_AMM_12km.h90	(revision 4015)
@@ -4,20 +4,12 @@
    !!                  (AMM_12km configuration VN3.3)
    !!---------------------------------------------------------------------
-   CHARACTER (len=16)        &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "amm"         !: name of the configuration
-   INTEGER                   &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      jp_cfg = 011  ,        &  !: resolution of the configuration (degrees)
+   CHARACTER (len=16) :: cp_cfg = "amm"  !: name of the configuration
+   INTEGER            :: jp_cfg = 011    !: resolution of the configuration (degrees)
+   INTEGER, PARAMETER ::     &
       ! Original data size
       jpidta  = 198,        &  !: first horizontal dimension > or = to jpi
       jpjdta  = 224,        &  !: second                     > or = to jpj
-      jpkdta  = 51,         &  !: number of levels           > or = to jpk
+      jpkdta  = 33             !: number of levels           > or = to jpk
+   INTEGER            ::     &
       ! total domain matrix size
       jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R2.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R2.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R2.h90	(revision 4015)
@@ -8,17 +8,7 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "eel"            !: name of the configuration
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jp_cfg = 2   ,         &  !: resolution of the configuration (km)
-
+   CHARACTER (len=16) :: cp_cfg = "eel"  !: name of the configuration
+   INTEGER            :: jp_cfg = 2    !: resolution of the configuration (km)
+   INTEGER, PARAMETER ::     &
       ! data size              !!! * size of all the input files *
       jpidta  = 83,          &  !: 1st horizontal dimension ( >= jpi )
@@ -26,4 +16,5 @@
       jpkdta  = 30,          &  !: number of levels         ( >= jpk )
 
+   INTEGER            ::     &
       ! global domain size     !!! * full domain *
       jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R5.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R5.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R5.h90	(revision 4015)
@@ -8,22 +8,13 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "eel"            !: name of the configuration
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jp_cfg = 5      ,      &  !: resolution of the configuration (km)
-
+   CHARACTER (len=16) :: cp_cfg = "eel"  !: name of the configuration
+   INTEGER            :: jp_cfg = 5    !: resolution of the configuration (km)
+   INTEGER, PARAMETER ::     &
       ! data size              !!! * size of all the input files
       jpidta  =  66   ,      &  !: first horizontal dimension > or = to jpi
       jpjdta  =  66   ,      &  !: second                     > or = to jpj
-      jpkdta  =  31   ,      &  !: number of levels           > or = to jpk
+      jpkdta  =  31             !: number of levels           > or = to jpk
 
+   INTEGER ::     &
       ! total domain size      !!! * full domain *
       jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R6.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R6.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_EEL_R6.h90	(revision 4015)
@@ -8,17 +8,7 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "eel"            !: name of the configuration
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::     &
-      jp_cfg = 6      ,      &  !: resolution of the configuration (km)
-
+   CHARACTER (len=16) :: cp_cfg = "eel"  !: name of the configuration
+   INTEGER            :: jp_cfg = 6      !: resolution of the configuration (km)
+   INTEGER, PARAMETER ::     &
       ! data size              !!! * size of all the input files *
       jpidta  = 29,          &  !: 1st lateral dimension ( >= jpi )
@@ -26,4 +16,5 @@
       jpkdta  = 30,          &  !: number of levels      ( >= jpk )
 
+   INTEGER            ::     &
       ! global domain size     !!! * full domain *
       jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_GYRE.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_GYRE.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_GYRE.h90	(revision 4015)
@@ -8,22 +8,13 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "gyre"           !: name of the configuration
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jp_cfg =  1   ,        &  !: 
-
+   CHARACTER (len=16) :: cp_cfg = "gyre"  !: name of the configuration
+   INTEGER            :: jp_cfg = 1       !: resolution of the configuration 
+   INTEGER, PARAMETER ::     &
       ! data size              !!! * size of all the input files *
       jpidta  = 30*jp_cfg+2, &  !: 1st horizontal dimension ( >= jpi )
       jpjdta  = 20*jp_cfg+2, &  !: 2nd    "            "    ( >= jpj )
-      jpkdta  = 31,          &  !: number of levels         ( >= jpk )
+      jpkdta  = 31              !: number of levels         ( >= jpk )
 
+   INTEGER            ::     &
       ! global domain size     !!! * full domain *
       jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R025.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R025.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R025.h90	(revision 4015)
@@ -9,24 +9,16 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "orca"           !: name of the configuration
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jp_cfg = 025  ,        &  !: resolution of the configuration (degrees)
+   CHARACTER (len=16) :: cp_cfg = "orca"  !: name of the configuration
+   INTEGER            :: jp_cfg = 025       !: resolution of the configuration (degrees)
+   INTEGER, PARAMETER ::     &
       ! Original data size
       jpidta  = 1442,        &  !: first horizontal dimension > or = to jpi
       jpjdta  = 1021,        &  !: second                     > or = to jpj
 #if key_orca_r025==75
-      jpkdta  = 75 ,         &  !: number of levels           > or = to jpk
+      jpkdta  = 75              !: number of levels           > or = to jpk
 #else
-      jpkdta  = 46 ,         &  !: number of levels           > or = to jpk
+      jpkdta  = 46              !: number of levels           > or = to jpk
 #endif
+   INTEGER  ::     &
       ! total domain matrix size
       jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R05.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R05.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R05.h90	(revision 4015)
@@ -9,18 +9,8 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "orca"           !: name of the configuration
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jp_cfg = 05  ,         &  !: resolution of the configuration (degrees)
-
-      ! data size              !!! * size of all the input files *
+   CHARACTER (len=16) :: cp_cfg = "orca"  !: name of the configuration
+   INTEGER            :: jp_cfg = 05       !: resolution of the configuration (degrees)
+   INTEGER, PARAMETER ::     &
+      ! data size              !!! * size of all input files *
       jpidta  = 722,         &  !: 1st lateral dimension > or = to jpiglo
       jpjdta  = 511,         &  !: 2nd   "         "     > or = to jpjglo
@@ -29,9 +19,5 @@
 #if defined key_antarctic
       ! zoom domain size       !!! *  antarctic zoom  * 
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
+   INTEGER   ::   &
       jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
       jpjglo  = 187   ,      &  !: 2nd     "                 "    --> j 
@@ -44,9 +30,5 @@
 #elif defined key_arctic
       ! zoom domain size       !!! *  arctic zoom  *
-   INTEGER    &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
+   INTEGER   ::  
       ! zoom domain size       !!! *  arctic zoom  *
       jpiglo  = 562,         &  !: 1st dimension of global domain --> i
@@ -60,9 +42,5 @@
 #else
       ! global domain size     !!! *  global domain  *
-   INTEGER    &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
+   INTEGER    ::  &
       jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
       jpjglo  = jpjdta,      &  !: 2nd     "                 "    --> j
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R1.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R1.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R1.h90	(revision 4015)
@@ -12,24 +12,17 @@
    !! Use: key_orca_r1=75 to set 75 levels
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "orca"           !: name of the configuration
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jp_cfg = 1    ,        &  !: resolution of the configuration (degrees)
+   CHARACTER (len=16) :: cp_cfg = "orca"  !: name of the configuration
+   INTEGER            :: jp_cfg = 1       !: resolution of the configuration (degrees)
+   INTEGER, PARAMETER ::     &
       ! Original data size
       jpidta  =  362,        &  !: first horizontal dimension > or = to jpi
       jpjdta  =  292,        &  !: second                     > or = to jpj
 #if key_orca_r1==75
-      jpkdta  = 75 ,         &  !: number of levels           > or = to jpk
+      jpkdta  = 75              !: number of levels           > or = to jpk
 #else
-      jpkdta  = 46 ,         &  !: number of levels           > or = to jpk
+      jpkdta  = 46              !: number of levels           > or = to jpk
 #endif
+
+   INTEGER ::     &
       ! total domain matrix size
       jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R2.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R2.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R2.h90	(revision 4015)
@@ -9,17 +9,7 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      ::    &  
-      cp_cfg = "orca"           !: name of the configuration 
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jp_cfg = 2,            &  !: resolution of the configuration (degrees)
-
+   CHARACTER (len=16) :: cp_cfg = "orca"  !: name of the configuration
+   INTEGER            :: jp_cfg = 2       !: resolution of the configuration (degrees)
+   INTEGER, PARAMETER ::     &
       ! data size              !!! * size of all input files *
       jpidta  = 182,         &  !: 1st lateral dimension ( >= jpiglo )
@@ -29,9 +19,5 @@
 #if defined key_antarctic
       ! zoom domain size       !!! *  antarctic zoom  * 
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
+   INTEGER  ::   &
       jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
       jpjglo  = 50,          &  !: 2nd    "                  "    --> j
@@ -44,9 +30,5 @@
 #elif defined key_arctic
       ! zoom domain size       !!! *  arctic zoom  *
-   INTEGER    &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
+   INTEGER  ::  &
       jpiglo  = 142   ,      &  !: 1st dimension of global domain --> i
       jpjglo  = jpjdta-97+1, &  !: 2nd    "                  "    --> j
@@ -59,9 +41,5 @@
 #elif defined key_c1d
       ! global domain size     !!! *  global domain  *
-   INTEGER    &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
+   INTEGER  ::   &
       jpiglo  = 3     ,      &  !: 1st dimension of global domain --> i
       jpjglo  = 3     ,      &  !: 2nd    "                  "    --> j
@@ -87,9 +65,5 @@
 #else
       ! global domain size     !!! *  global domain  *
-   INTEGER    &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
+   INTEGER   ::  &
       jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
       jpjglo  = jpjdta,      &  !: 2nd    "                  "    --> j
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R4.h90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R4.h90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R4.h90	(revision 4015)
@@ -9,20 +9,13 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-       ::    &  
-     cp_cfg = "orca"           !: name of the configuration
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jp_cfg = 4      ,      &  !: resolution of the configuration (degrees)
-      ! Original data size
+   CHARACTER (len=16) :: cp_cfg = "orca"  !: name of the configuration
+   INTEGER            :: jp_cfg = 4       !: resolution of the configuration (degrees)
+   INTEGER, PARAMETER ::     &
+      ! data size              !!! * size of all input files *
       jpidta  =  92   ,      &  !: first horizontal dimension > or = to jpi
       jpjdta  =  76   ,      &  !: second                     > or = to jpj
-      jpkdta  =  31   ,      &  !: number of levels           > or = to jpk
+      jpkdta  =  31             !: number of levels           > or = to jpk
+   
+   INTEGER           ::     &
       ! global domain matrix size
       jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 4015)
@@ -7,4 +7,6 @@
    !!   NEMO     1.0  !  2004-01  (G. Madec, J.-M. Molines)  Free form and module
    !!            3.3  !  2010-09  (C. Ethe) TRA-TRC merge: add jpts, jp_tem & jp_sal
+   !!            3.5  !  2012-07  (J. Simeon) online coarsening of outputs
+   !!                             renounced parameter status for jpiglo, jpjglo 
    !!----------------------------------------------------------------------
    USE par_kind          ! kind parameters
@@ -90,6 +92,6 @@
    !!   default option  :                               small closed basin
    !!---------------------------------------------------------------------
-   CHARACTER(len=16), PUBLIC, PARAMETER ::   cp_cfg = "default"   !: name of the configuration
-   INTEGER          , PUBLIC, PARAMETER ::   jp_cfg = 0           !: resolution of the configuration
+   CHARACTER(len=16), PUBLIC ::   cp_cfg = "default"   !: name of the configuration
+   INTEGER          , PUBLIC ::   jp_cfg = 0           !: resolution of the configuration
 
    ! data size                                       !!! * size of all input files *
@@ -98,14 +100,14 @@
    INTEGER, PUBLIC, PARAMETER ::   jpkdta  = 31       !: number of levels      ( >= jpk )
 
-   ! global or zoom domain size                      !!! * computational domain *
-   INTEGER, PUBLIC, PARAMETER ::   jpiglo  = jpidta   !: 1st dimension of global domain --> i
-   INTEGER, PUBLIC, PARAMETER ::   jpjglo  = jpjdta   !: 2nd    -                  -    --> j
+   ! global or zoom domain size (formerly parameters) !!! * computational domain *
+   INTEGER, PUBLIC            ::   jpiglo  = jpidta   !: 1st dimension of global domain --> i
+   INTEGER, PUBLIC            ::   jpjglo  = jpjdta   !: 2nd    -                  -    --> j
 
    ! zoom starting position 
-   INTEGER, PUBLIC, PARAMETER ::   jpizoom =   1      !: left bottom (i,j) indices of the zoom
-   INTEGER, PUBLIC, PARAMETER ::   jpjzoom =   1      !: in data domain indices
+   INTEGER, PUBLIC ::   jpizoom =   1      !: left bottom (i,j) indices of the zoom
+   INTEGER, PUBLIC ::   jpjzoom =   1      !: in data domain indices
 
    ! Domain characteristics
-   INTEGER, PUBLIC, PARAMETER ::   jperio  =  0       !: lateral cond. type (between 0 and 6)
+   INTEGER, PUBLIC ::   jperio  =  0       !: lateral cond. type (between 0 and 6)
    !                                                  !  = 0 closed                 ;   = 1 cyclic East-West
    !                                                  !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/step.F90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 4015)
@@ -24,4 +24,5 @@
    !!             -   !  2010-10  (C. Ethe, G. Madec) reorganisation of initialisation phase + merge TRC-TRA
    !!            3.4  !  2011-04  (G. Madec, C. Ethe) Merge of dtatem and dtasal
+   !!                 !  2012-07  (J. Simeon, G. Madec. C. Ethe) Online coarsening of outputs
    !!----------------------------------------------------------------------
 
@@ -78,11 +79,15 @@
 !      IF (lwp) Write(*,*) 'Grid Number',Agrif_Fixed(),' time step ',kstp
 # if defined key_iomput
-      IF( Agrif_Nbstepint() == 0 )   CALL iom_swap
+      IF( Agrif_Nbstepint() == 0 )   CALL iom_swap( "nemo" )
 # endif
 #endif
-                             indic = 0                ! reset to no error condition
-      IF( kstp == nit000 )   CALL iom_init            ! iom_put initialization (must be done after nemo_init for AGRIF+XIOS+OASIS)
+                             indic = 0           ! reset to no error condition
+      IF( kstp == nit000 ) THEN
+                      CALL iom_init( "nemo" )      ! iom_put initialization (must be done after nemo_init for AGRIF+XIOS+OASIS)
+         IF( ln_crs ) CALL iom_init( "nemo_crs" )  ! initialize context for coarse grid
+      ENDIF
       IF( kstp /= nit000 )   CALL day( kstp )         ! Calendar (day was already called at nit000 in day_init)
-                             CALL iom_setkt( kstp - nit000 + 1 )   ! say to iom that we are at time step kstp
+                             CALL iom_setkt( kstp - nit000 + 1, "nemo"     )   ! say to iom that we are at time step kstp
+      IF( ln_crs     )       CALL iom_setkt( kstp - nit000 + 1, "nemo_crs" )   ! say to iom that we are at time step kstp
 
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -170,4 +175,7 @@
       IF( lk_diaharm )   CALL dia_harm( kstp )        ! Tidal harmonic analysis
                          CALL dia_wri( kstp )         ! ocean model: outputs
+      !
+      IF( ln_crs     )   CALL crs_fld( kstp )         ! ocean model: online field coarsening & output
+
 
 #if defined key_top
@@ -270,7 +278,8 @@
       IF( lk_cpl           )   CALL sbc_cpl_snd( kstp )     ! coupled mode : field exchanges
       !
-#if defined key_iomput
-      IF( kstp == nitend   )   CALL xios_context_finalize() ! needed for XIOS+AGRIF
-#endif
+      IF( kstp == nitend   )  THEN
+                      CALL iom_context_finalize( "nemo"     ) ! needed for XIOS+AGRIF
+         IF( ln_crs ) CALL iom_context_finalize( "nemo_crs" ) ! 
+      ENDIF
       !
       IF( nn_timing == 1 .AND.  kstp == nit000  )   CALL timing_reset
Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/step_oce.F90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 4015)
@@ -100,4 +100,6 @@
    USE floats           ! floats computation               (flo_stp routine)
 
+   USE crsfld           ! Standard output on coarse grid   (crs_fld routine)
+
    USE asminc           ! assimilation increments      (tra_asm_inc routine)
    !                                                   (dyn_asm_inc routine)
